Overview
GET
/chat/chat-participantschatList chat_participants
List chat-participants.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- ecosystemIdstring
- chatIdstring
- participantIdstring
- typestring
- rolestring
- statestring
- joinedAtstring
- stateChangedAtstring
- contactIdstring?
- lastReadMessageIdstring?
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"ecosystemId": "string",
"chatId": "string",
"participantId": "string",
"type": "string",
"role": "string",
"state": "string",
"joinedAt": "string",
"stateChangedAt": "string",
"contactId": "string",
"lastReadMessageId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/chat-participants" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-participants", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();